## Specify the URL to download the app from
$URL = 'https://specsintact.ksc.nasa.gov/Software/downloads/SpecsIntact.msi'

## Download the installer
$INSTALLER = Download-File -URL $URL

## Install the app
LogMsg "Installing latest version of SpecsIntact from ""${INSTALLER}"""
Try { Start-Process "msiexec.exe" -ArgumentList "/i ${INSTALLER} /qn /norestart" -Wait }
Catch { LogErr $_.Exception.Message }

## Delete the installer
LogMsg "Deleting downloaded installer from ""${INSTALLER}"""
Try { Remove-Item -Path $INSTALLER -Force -ErrorAction SilentlyContinue }
Catch { LogErr $_.Exception.Message }